### Method

# GtkSource PrintCompositor get_n_pages

#### Declaration [src]

    gint
    gtk_source_print_compositor_get_n_pages (
      GtkSourcePrintCompositor* compositor
    )

#### Description [src]

Returns the number of pages in the document or `-1` if the document has not been completely paginated.

Gets property | `GtkSource.PrintCompositor:n-pages`

#### Return value

Type: `gint`

The number of pages in the document or `-1` if the document has not been completely paginated.